/*
 * Copyright 2008-2010 Xebia and the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package fr.xebia.management.jms.leak;

import javax.jms.JMSException;
import javax.jms.Topic;
import javax.jms.TopicSubscriber;

public class LeakDetectorTopicSubscriber extends LeakDetectorMessageConsumer implements TopicSubscriber {

    public LeakDetectorTopicSubscriber(TopicSubscriber delegate, LeakDetectorSession leakDetectorSession) {
        super(delegate, leakDetectorSession);
    }

    public Topic getTopic() throws JMSException {
        return ((TopicSubscriber) delegate()).getTopic();
    }

    public boolean getNoLocal() throws JMSException {
        return ((TopicSubscriber) delegate()).getNoLocal();
    }
}
